#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 servant-swagger
version:              1.1.7.1
visibility:           public
id:                   servant-swagger-1.1.7.1-FZxT25xbvmqDzZoLdlP0ay
key:                  servant-swagger-1.1.7.1-FZxT25xbvmqDzZoLdlP0ay
license:              BSD-3-Clause
copyright:            (c) 2015-2018, Servant contributors
maintainer:           nickolay.kudasov@gmail.com
author:               David Johnson, Nickolay Kudasov
homepage:             https://github.com/haskell-servant/servant-swagger
synopsis:
    Generate a Swagger/OpenAPI/OAS 2.0 specification for your servant API.

description:
    Swagger is a project used to describe and document RESTful APIs. The core of the
    project is the [OpenAPI Specification (OAS)](https://swagger.io/docs/specification/about/).
    This library implements v2.0 of the spec. Unlike Servant it is language-agnostic and thus is
    quite popular among developers in different languages. It has also existed for a longer time
    and has more helpful tooling.

    This package provides means to generate a Swagger/OAS specification for a Servant API
    and also to partially test whether an API conforms with its specification.

    Generated Swagger specification then can be used for many things such as

    * displaying interactive documentation using [Swagger UI](http://swagger.io/swagger-ui/);

    * generating clients and servers in many languages using [Swagger Codegen](http://swagger.io/swagger-codegen/);

    * and [many others](http://swagger.io/open-source-integrations/).

category:             Web, Servant, Swagger
abi:                  2ec3a401949652f7516176ed45c77f92
exposed:              True
exposed-modules:
    Servant.Swagger Servant.Swagger.Internal
    Servant.Swagger.Internal.Orphans Servant.Swagger.Internal.Test
    Servant.Swagger.Internal.TypeLevel
    Servant.Swagger.Internal.TypeLevel.API
    Servant.Swagger.Internal.TypeLevel.Every
    Servant.Swagger.Internal.TypeLevel.TMap Servant.Swagger.Test
    Servant.Swagger.TypeLevel

import-dirs:          /usr/lib/ghc-8.8.1/site-local/servant-swagger-1.1.7.1
library-dirs:         /usr/lib/ghc-8.8.1/site-local/servant-swagger-1.1.7.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.1/servant-swagger-1.1.7.1
hs-libraries:         HSservant-swagger-1.1.7.1-FZxT25xbvmqDzZoLdlP0ay
depends:
    QuickCheck-2.13.2-1s2yEbt3iMvAcG0hiAunO4
    aeson-1.4.6.0-E2BkI4IZQTS95PTQn3BtDE
    aeson-pretty-0.8.8-Ig2RKJHNe8m7OxQGoIrwJu base-4.13.0.0
    base-compat-0.11.0-HA7zP1WmasH2qDf5SQWxhV bytestring-0.10.9.0
    hspec-2.7.1-8OjYgA7qTfqBboqKbGit6E
    http-media-0.8.0.0-4jXfuSFtU05HxP40VDQyZU
    insert-ordered-containers-0.2.2-6VpRhEkvJ1y38Zrw35NM6T
    lens-4.18.1-E1xw8taTRygE6ohloDGJei
    servant-0.16.2-HWX8bu8Adf5KE0mOPwES9J
    singleton-bool-0.1.5-A1BUoKOE7i9KQGHsFA81g
    swagger2-2.3.1.1-CkfoTWTYwHiA5iu3CRYcdB text-1.2.4.0
    unordered-containers-0.2.10.0-BOyMat0aeilHaccjX66VbF

haddock-interfaces:
    /usr/share/doc/haskell-servant-swagger/html/servant-swagger.haddock

haddock-html:         /usr/share/doc/haskell-servant-swagger/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

